Bug 849486 - please patch libvdpau to include flash workarounds patch
please patch libvdpau to include flash workarounds patch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvdpau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-19 18:47 EDT by Julian Sikorski
Modified: 2012-10-06 04:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-06 04:26:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against master (9.01 KB, patch)
2012-08-19 19:20 EDT, Julian Sikorski
no flags Details | Diff

  None (edit)
Description Julian Sikorski 2012-08-19 18:47:47 EDT
Description of problem:
Recent versions of flash-plugin have an issue with colors being swapped when HW rendering is used with software decoding. Enabling hardware decoding solves the problem, but also makes the plugin extremely unstable.
Please add this patch to work around the flash plugin issues:
cgit.freedesktop.org/~aplattner/libvdpau/diff/?h=flash-workarounds
Thank you in advance.
Comment 1 Julian Sikorski 2012-08-19 19:20:16 EDT
Created attachment 605547 [details]
patch against master
Comment 2 Nicolas Chauvet (kwizart) 2012-08-20 03:11:59 EDT
$ patch -p1 <patch 
patching file flash-workarounds.patch
patch: **** malformed patch at line 86: --- a/libvdpau.spec

Can you make a scratch build for each releases effected ?
Thx for the report.
Comment 3 Nicolas Chauvet (kwizart) 2012-08-20 03:18:18 EDT
Ok I got it to apply, bz has modified it.

f17 http://koji.fedoraproject.org/koji/taskinfo?taskID=4405236
f16 http://koji.fedoraproject.org/koji/taskinfo?taskID=4405241
Comment 4 Nicolas Chauvet (kwizart) 2012-09-07 10:39:00 EDT
upstream has released a new 0.5  including this patch.

Note You need to log in before you can comment on or make changes to this bug.